# PhingXMLContext

Track the current state of the Xml parse operation.

author | Bryan Davis bpd@keynetics.com
version | $Id: 077aa8989e2f94958a9e053a52a3eff7e58938b0 $
package | phing.parser

### Methods

## Constructor

    __construct(\Project $project)

### Arguments

#### $project

`\Project`

the project to which this antxml context belongs to

## addImport

    addImport( $file)

### Arguments

#### $file

``

## endConfigure

    endConfigure()

## getConfigurator

    getConfigurator() : null

### Response

`null`

## getCurrentTarget

    getCurrentTarget() : \Target

### Response

`\Target`

## getCurrentTargets

    getCurrentTargets() : array<mixed,\Target>

### Response

`array<mixed,\Target>`

## getImplicitTarget

    getImplicitTarget() : \Target

### Response

`\Target`

## getImportStack

    getImportStack() : array

### Response

`array`

## find out the project to which this context belongs

    getProject() : \project

### Response

`\project`

## setCurrentTarget

    setCurrentTarget(\Target $target)

### Arguments

#### $target

`\Target`

## setCurrentTargets

    setCurrentTargets(array<mixed,\Target> $currentTargets)

### Arguments

#### $currentTargets

`array<mixed,\Target>`

## setImplicitTarget

    setImplicitTarget(\Target $target)

### Arguments

#### $target

`\Target`

## startConfigure

    startConfigure( $cfg)

### Arguments

#### $cfg

``

### Properties

## Target that will hold all tasks/types placed outside of targets

    implicitTarget : \Target

var |

### Type(s)

`\Target`

## Current target

    currentTarget : \Target

var |

### Type(s)

`\Target`

## List of current targets

    currentTargets : array<mixed,\Target>

var |

### Type(s)

`array<mixed,\Target>`

## The project to configure.

    project :

### Type(s)

``

## configurators

    configurators :

### Type(s)

``

## Impoerted files

    importStack :

### Type(s)

``